#-------------------------------------------------------------------------------------
# filter-jahr-txk.py
#-------------------------------------------------------------------------------------
# Von standard input wird eine Datei mit Wetterdaten vom DWD gelesen.
# Das Programm schreibt für jede Zeile aus
# der DWD-Wetterdatei eine Zeile mit dem Jahr und der Tageshöchsttemperatur.
#-------------------------------------------------------------------------------------
import sys

sys.stdin.readline()   # Überspringe die erste Zeile von standard input.
                       # In der DWD-Datei stehen dort keine relevanten Daten.

# Gehe alle weiteren Zeilen von standard input durch.
for zeile in sys.stdin:
  # Trenne die Zeile an den ';'s in ihre Spalten auf.
  felder = str.split(zeile, ';')
  # Das Jahr steht in den ersten vier Zeichen von Spalte 1.
  jahr = felder[1][0:4]
  # Die Tageshöchsttemperatur steht in Spalte 15.
  # Wir entfernen gleich "störende" Leerzeichen etc. am Anfang und am Ende.
  txk = str.strip(felder[15])
  # Jahr und Tageshöchsttemperatur werden ausgegeben, falls es kein Fehl-Eintrag ist.
  if txk != '-999':
    print( '%s %s' % (jahr, txk) )

#-------------------------------------------------------------------------------------
# python3 filter-jahr-txk.py < Jena-Wetterdaten.txt
# 1824 5.5
# 1824 6.5
# 1824 5.0
# 1824 2.3
# ...
# 2019 6.3

