#---------------------------------------------------------------------------------------------
# formatierteAusgabe.py
#---------------------------------------------------------------------------------------------
# Beispiele für die formatierte Ausgabe von int- und float-Werten.
#---------------------------------------------------------------------------------------------

import math

n = 1000
r = math.sqrt(n)

# Unformatierte Ausgabe:
# Gib int n und float r aus.
print('(1) Die Wurzel von ' + str(n) + ' ist ' + str(r) + '.')

# Formatierte Ausgaben:
# Gib int n und float r aus. Bei float werden standardmäßig 6 Nachkommastellen ausgegeben.
print( '(2) Die Wurzel von %d ist %f.' % (n, r) )

# Gib int n mit 5 Zeichen und float r mit 3 Nachkommastellen aus
# und füge einen zusätzlichen Zeilenumbruch am Zeilenende ein.
print( '(3) Die Wurzel von %5d ist %.3f.\n' % (n, r) )

# Wenn Zeilenumbrüche wie im Format-String gemacht werden sollen,
# dann muss man ihn in ''' einklammern.
print( '''(4) Die Wurzel von 
%5d 
ist %.3f.''' % (n, r) )

# Gib int n mit 5 Zeichen und float r mit 8 Zeichen und 3 Nachkommastellen aus.
print('(5) Die Wurzel von %5d ist %8.3f.' % (n, r))

# Gib int n mit 5 Zeichen und float r linksbündig mit 8 Zeichen und 3 Nachkommastellen aus
# und lasse den Zeilenumbruch am Ende der Ausgabe weg (geht nur in Python3).
print( '(6) Die Wurzel von %5d ist %-8.3f.' % (n, r) , end='' )

# Wenn die angegebene Zeichenzahl zu klein ist, wird sie ignoriert.
print( '(7) Die Wurzel von %2d ist %1.3f.' % (n, r) )


#------------------------------------------------------------------------------------------
# python3 formatierteAusgabe.py 
# (1) Die Wurzel von 1000 ist 31.622776601683793.
# (2) Die Wurzel von 1000 ist 31.622777.
# (3) Die Wurzel von  1000 ist 31.623.
# (4) Die Wurzel von 
#  1000 
# ist 31.623.
# (5) Die Wurzel von  1000 ist   31.623.
# (6) Die Wurzel von  1000 ist 31.623  .(7) Die Wurzel von 1000 ist 31.623.
# (8) Die Wurzel von 1000 ist 31.623.


