# jahres_mittel.py
#--------------------------------------------------------------------------------------------------
# Das Programm liest von standard input eine Datei aus Zeilen 'jahr messwert'.
# Es wird für jedes Jahr das Jahr und der Mittelwert der Messwerte des Jahres ausgegeben.
#--------------------------------------------------------------------------------------------------
import sys

# Die erste Zeile wird gelesen.
# Damit kennt man das Jahr (jahr), 
# den Startwert für die Summe aller Messwerte des Jahres (jahressumme) und
# die bisher aufsummierte Anzahl von Messwerten für das Jahr (zaehler). 
zeile = sys.stdin.readline()
jahr, messwert = str.split(zeile)
jahressumme = float(messwert)
zaehler = 1

# Die übrigen Zeilen werden gelesen.
for zeile in sys.stdin:
  # Die Zeile besteht aus einem Jahr (njahr) und einem Messwert.
  njahr, messwert = str.split(zeile)
  # Falls das Jahr in dieser Zeile das gleiche wie zuvor ist (kein Jahreswechsel),
  #   dann wird der Messwert zur Jahressumme hinzuaddiert.
  if njahr==jahr:
    jahressumme += float(messwert)
    zaehler += 1
  # Anderenfalls wurde der erste Messwert des nächsten Jahres gelesen (Jahreswechsel).
  # Dann wird zuerst das bisherige Jahr und der Mittelwert der Messwerte ausgegeben.
  # Anschließend wird die Aufsummierung der Messwerte des aktuellen Jahres begonnen (wie oben).
  else:
    print( '%s %.2f' % (jahr, jahressumme/zaehler) )
    jahr = njahr
    jahressumme = float(messwert)
    zaehler = 1
# Das Ergebnis des letzten Jahres muss noch ausgegeben werden.
print( '%s %.2f' % (jahr, jahressumme/zaehler) )
#--------------------------------------------------------------------------------------------------
# python3 filter-jahr.py 15 < produkt_klima_tag_18240101_20191231_02444.txt > Jena-MaxTemps.txt
# python3 jahres-mittel.py < Jena-MaxTemps.txt
# 1824 13.50
# 1825 13.38
# 1826 13.27
# 1827 12.92
# ...
# 2016 15.60
# 2017 15.85
# 2018 16.94
# 2019 16.86
#
# python3 filter-jahr.py 15 < produkt_klima_tag_18240101_20191231_02444.txt | python3 jahres-mittel.py
# 1824 13.50
# 1825 13.38
# ...
# 2018 16.94
# 2019 16.86

